<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>
        input {
            margin: .4rem;
            }
    </style>
    <script>
        function enviar(){
            if (document.getElementById("r1").checked){
                var tiempo = new Date();
                var hora = tiempo.getHours()*3600;
                var minutos = tiempo.getMinutes()*60;
                var suma = parseFloat(hora) + parseFloat(minutos) ;
             
              



                document.getElementById("idP2").innerHTML='TIEMPO EN SEGUNDO '+tiempo.getHours()+ ':'+ tiempo.getMinutes() + ' = ' + suma ;
                
            }
            if (document.getElementById("r2").checked){
               var base= prompt("Ingrese el Valor de la base");
               var altura= prompt("Ingrese el Valor de la altura");
               var total = (parseFloat(base) * parseFloat(altura))/2;

               document.getElementById("idP2").innerHTML='El área de un triágulo es: '+ total ;
            }
            if (document.getElementById("r3").checked){
                
                while(true){
                    var numero= prompt("Ingrese un Valor impar");
                    if(numero % 2 != 1){
                        alert("El número tiene que ser impar");
                    }else{
                        raiz=Math.sqrt(numero).toFixed(3);
                        document.getElementById("idP2").innerHTML='la raiz es: '+ raiz;
                        break;
                    }
 
                }
               
              
            }
            if (document.getElementById("r4").checked){
                var cadena= prompt("Ingrese un texto");
                document.getElementById("idP2").innerHTML='la logitud de la cadena es: '+ cadena.length;
            }
            if (document.getElementById("r5").checked){
                var semana = ["lunes", "martes", "miércoles","jueves","viernes"];
                var fds = ["sábado","domingo"];
                var concatenar = semana +","+ fds;
                document.getElementById("idP2").innerHTML='semanas : '+ concatenar;
            }
            if (document.getElementById("r6").checked){
                document.getElementById("idP2").innerHTML="Versión del navegador: " + navigator.appVersion;
            }
            if (document.getElementById("r7").checked){
                document.getElementById("idP2").innerHTML="La resolución de tu pantalla es: " + screen.width + " x " + screen.height
            }
            if (document.getElementById("r8").checked){
                window.print();
            }
            
        }
    </script>
</head>
<body>
    <div>
        <h3>ESCOJA UNA OPCIÓN </h3>
        <div>
            <input type="radio" id="r1" name="drone" value="v1" checked> 
            <label for="v1">Transforme la hora actual en segundos</label>
          </div> 
          <div>
            <input type="radio" id="r2" name="drone" value="v2">
            <label for="v2">Calcular el área de un triángulo, que es igual a: (base * altura)/2.</label>
          </div>
          <div>
            <input type="radio" id="r3" name="drone" value="v3">
            <label for="v3">Calcule la raíz cuadrada de un número impar y muestre el resultado con 3 dígitos.</label>
          </div>
          <div>
            <input type="radio" id="r4" name="drone" value="v4">
            <label for="v4">Ingresar una cadena de texto y mostrar la longitud de la cadena.</label>
          </div>
          <div>
            <input type="radio" id="r5" name="drone" value="v5">
            <label for="v5">Concatenar los arrays:  array1(Lunes, Martes, Miércoles, Jueves, Viernes) y array 2 (Sábado, Domingo)</label>
          </div>
          <div>
            <input type="radio" id="r6" name="drone" value="v6" >
            <label for="v6">Mostrar la versión del navegador.</label>
          </div>
          <div>
            <input type="radio" id="r7" name="drone" value="v7">
            <label for="v7">Mostrar el ancho y la altura de la pantalla.</label>
          </div>
          <div>
            <input type="radio" id="r8" name="drone" value="v8">
            <label for="v8">Imprimir la página.</label>
          </div>
    </div>
    <div id="boton">
        <br>
        <input type="button" value="Mostrar" onclick="enviar()">
    </div>
    <p id="idP2" >

    </p>
</body>
</html>